Compilazione openshot

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Rispondi
Avatar utente
Linpassion
Linux 2.x
Linux 2.x
Messaggi: 245
Iscritto il: mar 30 ott 2012, 11:17
Slackware: 14.2
Desktop: xfce, fluxbox

Compilazione openshot

Messaggio da Linpassion »

Sto tentando di compilare openshot, ma nonostante tutte le dipendenze siano rispettate da errore.
bash-4.3$ openshot-qt
Loaded modules from installed directory: /usr/lib64/python3.7/site-packages/openshot_qt
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-pluto'
app:INFO ------------------------------------------------
app:INFO Sun Sep 5 09:16:50 2021
app:INFO Starting new session
app:INFO ------------------------------------------------
app:INFO OpenShot (version 2.5.1)
app:INFO ------------------------------------------------
app:INFO openshot-qt version: 2.5.1
app:INFO libopenshot version: 0.2.5
app:INFO platform: Linux-4.4.14-x86_64-Intel-R-_Celeron-R-_CPU_847_@_1.10GHz-with-slackware-14.2
app:INFO processor: Intel(R) Celeron(R) CPU 847 @ 1.10GHz
app:INFO machine: x86_64
app:INFO python version: 3.7.2
app:INFO qt5 version: 5.12.8
app:INFO pyqt5 version: 5.13.2
language:INFO Qt Detected Languages: ['en-US']
language:INFO LANG Environment Variable: en_US
language:INFO LOCALE Environment Variable:
language:INFO OpenShot Preference Language: Default
project_data:INFO Setting default profile to HD 720p 30 fps
ZmqLogger::Connection - Error binding to tcp://*:5556. Switching to an available port.
app:INFO Setting font to /usr/lib64/python3.7/site-packages/openshot_qt/images/fonts/Ubuntu-R.ttf
ZmqLogger::Connection - Error binding to tcp://*:5556. Switching to an available port.
app:INFO Setting custom dark theme
logger_libopenshot:INFO Connecting to libopenshot with debug port: 5556
exceptions:ERROR Unhandled Exception
Traceback (most recent call last):
File "/usr/bin/openshot-qt", line 11, in <module>
load_entry_point('openshot-qt==2.5.1', 'gui_scripts', 'openshot-qt')()
File "/usr/lib64/python3.7/site-packages/openshot_qt/launch.py", line 97, in main
app = OpenShotApp(argv)
File "/usr/lib64/python3.7/site-packages/openshot_qt/classes/app.py", line 220, in __init__
from windows.main_window import MainWindow
File "/usr/lib64/python3.7/site-packages/openshot_qt/windows/main_window.py", line 45, in <module>
from windows.views.timeline_webview import TimelineWebView
File "/usr/lib64/python3.7/site-packages/openshot_qt/windows/views/timeline_webview.py", line 42, in <module>
from PyQt5.QtWebKitWidgets import QWebView
ModuleNotFoundError: No module named 'PyQt5.QtWebKitWidgets'

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2841
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.13.9
Desktop: lxde
Località: Pisa
Contatta:

Re: Compilazione openshot

Messaggio da ponce »

Linpassion ha scritto:
dom 5 set 2021, 9:23
ModuleNotFoundError: No module named 'PyQt5.QtWebKitWidgets'
/usr/lib64/python3.7/site-packages/PyQt5/QtWebKitWidgets.so e' compreso nel pacchetto python3-PyQt5, dipendenza di openshot

Codice: Seleziona tutto

# ldd /usr/lib64/python3.7/site-packages/PyQt5/QtWebKitWidgets.so
        linux-vdso.so.1 (0x00007ffd79be7000)
        libQt5WebKitWidgets.so.5 => /usr/lib64/libQt5WebKitWidgets.so.5 (0x00007f1b04e8c000)
        libQt5PrintSupport.so.5 => /usr/lib64/libQt5PrintSupport.so.5 (0x00007f1b04848000)
        libQt5Widgets.so.5 => /usr/lib64/libQt5Widgets.so.5 (0x00007f1b04001000)
        libQt5WebKit.so.5 => /usr/lib64/libQt5WebKit.so.5 (0x00007f1b0117d000)
        libQt5Gui.so.5 => /usr/lib64/libQt5Gui.so.5 (0x00007f1b00984000)
        libQt5Network.so.5 => /usr/lib64/libQt5Network.so.5 (0x00007f1b005e7000)
        libQt5Core.so.5 => /usr/lib64/libQt5Core.so.5 (0x00007f1affe52000)
        libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007f1affbea000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f1aff9cd000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f1aff651000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f1aff348000)
        libgcc_s.so.1 => /usr/lib64/libgcc_s.so.1 (0x00007f1aff131000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f1afed68000)
        libQt5Quick.so.5 => /usr/lib64/libQt5Quick.so.5 (0x00007f1afe6cb000)
        libQt5WebChannel.so.5 => /usr/lib64/libQt5WebChannel.so.5 (0x00007f1afe4ab000)
        libicuuc.so.56 => /usr/lib64/libicuuc.so.56 (0x00007f1afe113000)
        libQt5Positioning.so.5 => /usr/lib64/libQt5Positioning.so.5 (0x00007f1afde8b000)
        libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007f1afdb4f000)
        libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x00007f1afd94d000)
        libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007f1afd743000)
        libicui18n.so.56 => /usr/lib64/libicui18n.so.56 (0x00007f1afd2b2000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f1afd0ae000)
        libQt5Sensors.so.5 => /usr/lib64/libQt5Sensors.so.5 (0x00007f1afce6e000)
        libjpeg.so.62 => /usr/lib64/libjpeg.so.62 (0x00007f1afcbd4000)
        libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007f1afc9a1000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f1afc78a000)
        libhyphen.so.0 => /usr/lib64/libhyphen.so.0 (0x00007f1afc584000)
        libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00007f1afc221000)
        libxslt.so.1 => /usr/lib64/libxslt.so.1 (0x00007f1afbfe1000)
        libsqlite3.so.0 => /usr/lib64/libsqlite3.so.0 (0x00007f1afbd10000)
        libgio-2.0.so.0 => /usr/lib64/libgio-2.0.so.0 (0x00007f1afb993000)
        libgstapp-1.0.so.0 => /usr/lib64/libgstapp-1.0.so.0 (0x00007f1afb786000)
        libgstbase-1.0.so.0 => /usr/lib64/libgstbase-1.0.so.0 (0x00007f1afb523000)
        libgstreamer-1.0.so.0 => /usr/lib64/libgstreamer-1.0.so.0 (0x00007f1afb204000)
        libgstpbutils-1.0.so.0 => /usr/lib64/libgstpbutils-1.0.so.0 (0x00007f1afafda000)
        libgstaudio-1.0.so.0 => /usr/lib64/libgstaudio-1.0.so.0 (0x00007f1afad89000)
        libgsttag-1.0.so.0 => /usr/lib64/libgsttag-1.0.so.0 (0x00007f1afab4f000)
        libgstvideo-1.0.so.0 => /usr/lib64/libgstvideo-1.0.so.0 (0x00007f1afa8cf000)
        libgstfft-1.0.so.0 => /usr/lib64/libgstfft-1.0.so.0 (0x00007f1afa6c5000)
        libgobject-2.0.so.0 => /usr/lib64/libgobject-2.0.so.0 (0x00007f1afa474000)
        libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f1afa13d000)
        libQt5Qml.so.5 => /usr/lib64/libQt5Qml.so.5 (0x00007f1af9aa8000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f1af98a0000)
        /lib64/ld-linux-x86-64.so.2 (0x00007f1b04d0b000)
        libssl.so.1 => /lib64/libssl.so.1 (0x00007f1af962d000)
        libcrypto.so.1 => /lib64/libcrypto.so.1 (0x00007f1af91d5000)
        libicudata.so.56 => /usr/lib64/libicudata.so.56 (0x00007f1af77f2000)
        libgthread-2.0.so.0 => /usr/lib64/libgthread-2.0.so.0 (0x00007f1af75f0000)
        libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007f1af73c4000)
        libxcb-dri3.so.0 => /usr/lib64/libxcb-dri3.so.0 (0x00007f1af71c2000)
        libxcb-present.so.0 => /usr/lib64/libxcb-present.so.0 (0x00007f1af6fc0000)
        libxcb-randr.so.0 => /usr/lib64/libxcb-randr.so.0 (0x00007f1af6db4000)
        libxcb-xfixes.so.0 => /usr/lib64/libxcb-xfixes.so.0 (0x00007f1af6bae000)
        libxcb-render.so.0 => /usr/lib64/libxcb-render.so.0 (0x00007f1af69a5000)
        libxcb-shape.so.0 => /usr/lib64/libxcb-shape.so.0 (0x00007f1af67a2000)
        libxcb-sync.so.1 => /usr/lib64/libxcb-sync.so.1 (0x00007f1af659d000)
        libxshmfence.so.1 => /usr/lib64/libxshmfence.so.1 (0x00007f1af639b000)
        libglapi.so.0 => /usr/lib64/libglapi.so.0 (0x00007f1af616d000)
        libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007f1af5f6b000)
        libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007f1af5d65000)
        libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007f1af5b63000)
        libxcb-glx.so.0 => /usr/lib64/libxcb-glx.so.0 (0x00007f1af594d000)
        libxcb-dri2.so.0 => /usr/lib64/libxcb-dri2.so.0 (0x00007f1af5749000)
        libXxf86vm.so.1 => /usr/lib64/libXxf86vm.so.1 (0x00007f1af5544000)
        libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007f1af5332000)
        libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007f1af5113000)
        libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007f1af4f10000)
        libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00007f1af4d0b000)
        libdrm.so.2 => /usr/lib64/libdrm.so.2 (0x00007f1af4afd000)
        liblzma.so.5 => /lib64/liblzma.so.5 (0x00007f1af48d8000)
        libgmodule-2.0.so.0 => /usr/lib64/libgmodule-2.0.so.0 (0x00007f1af46d4000)
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f1af44b9000)
        libffi.so.6 => /usr/lib64/../lib64/libffi.so.6 (0x00007f1af42b1000)
        liborc-0.4.so.0 => /usr/lib64/liborc-0.4.so.0 (0x00007f1af4030000)
l'errore potrebbe anche essere dovuto al fatto che non trovi piu' alcune delle librerie a cui QtWebKitWidgets.so e' linkato: se esegui lo stesso comando "ldd ..." indicato sopra sulla tua installazione e vedi come risultato delle righe con "not found" allora ci sta che il problema sia quello.

Rispondi